{% extends 'base.html.twig' %}

{% block title %}{{page_title}}{% endblock %}

{% block body %}
<div class="col-md-6">
    <div class="content-box-header">
        <div class="panel-title">{{page_title}}</div>
      
      <div class="panel-options">
         {% if app.user and app.user.isOnlyCustomer() and (app.request.get("_route") == 'users_profile') %}
         {% set link = app.user.getCustomer()?path('customers_edit',{id:app.user.getCustomer().getId()}):( app.user.getClient()?path('clients_edit',{id:app.user.getclient().getId()}):'') %}
         {% if link %}
            <a href="{{link}}"><i class="fas fa-briefcase"></i></a>
          {% endif %} 
         {% endif %}
      </div>
    </div>
    <div class="content-box-large box-with-header">
            {{form_start(form,{"attr":{
                'novalidate':'novalidate'
            }})}}
   
            {{form_row(form.fullname)}}
   
            {{form_row(form.email)}}
   
            {{form_row(form.roles)}}
   
            {{form_row(form.aclRole)}}
   
            {{form_row(form.username)}}
   
            {{form_row(form.password)}}

            <div class="action">
                    <button class="btn btn-primary" type="submit">
                     Edit
                    </button>
            </div> 
   
            {{form_end(form)}}


  </div>
</div>
<div class="col-md-6">
    <div class="content-box-header">
        <div class="panel-title">{{"Uploaded files"|trans}}</div>
      
      <div class="panel-options">
         
      </div>
    </div>
    <div class="content-box-large box-with-header ">
      <div class="file-messages" >

      </div>
     <div class="js-append-files">

     </div>

  </div>
  
</div>
<div class="col-md-6">
    <div class="content-box-header">
        <div class="panel-title">{{"Upload files"|trans}}</div>
      
      <div class="panel-options">
         
      </div>
    </div>
    <div class="content-box-large box-with-header">

   
            {{generate_dropzone(user,user.id,null,{
              singular:false
            })}}
          {# <form action="{{ path('files_upload') }}" method="POST" enctype="multipart/form-data" class="dropzone js-reference-dropzone">
            <input type="hidden" name="entity_id" value="{{user.id}}">
            <input type="hidden" name="entity_type" value="{{user}}">
          </form> #}

  </div>
</div>
{% endblock %}

{% block scripts %}

  {{parent()}}

  <script src="{{asset('js/dropzone-generator.js')}}"></script>

{% endblock %}
